import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { defaultLayout } from '../.storybook/decorators';
import BlockWatermark from './block-watermark';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: ['critical', 'image', 'images', 'watermarkPosition', 'watermarkWidth', 'watermarkHeight', 'watermarkOpacity'],
};

<Meta
	title="Watermark"
	decorators={[defaultLayout]}
	component={BlockWatermark}
	argTypes={addControls(argTypes, controls)}
/>

# Watermark

This module is used on the product image.

It is used to provide a watermark image for product images.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockWatermark },
		template: '<block-watermark v-bind="$props" />',
	};
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			images: {
				url:
					'https://images.prismic.io/molekule/17af3350-7038-4773-8bee-3456134b8f49_Home+-+Sales+module+-+Air.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 1440,
				height: 1155,
			},
			image: {
				url:
					'https://images.prismic.io/molekule/17af3350-7038-4773-8bee-3456134b8f49_Home+-+Sales+module+-+Air.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 1440,
				height: 1155,
			},
			critical: false,
			watermarkPosition: 'center',
			watermarkWidth: 100,
			watermarkHeight: 100,
			watermarkOpacity: 0.5,
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockWatermark} />
